Bug 398761 - Review Request: gfs-baskerville-fonts - GFS Baskerville Greek font
Review Request: gfs-baskerville-fonts - GFS Baskerville Greek font
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 17:10 EST by Nicolas Mailhot
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-27 16:36:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2007-11-25 17:10:18 EST
Spec URL: http://nim.fedorapeople.org/gfs-baskerville-fonts.spec
SRPM URL: http://nim.fedorapeople.org/gfs-baskerville-fonts-20070327-2.fc9.src.rpm

Description:

John Baskerville (1706-1775) got involed in typography late in his career but
his contribution was significant. He was a successful entrepreneur and possesed
an inquiring mind which he applied to produce many aesthetic and technical
innovations in printing. He invented a new ink formula, a new type of smooth
paper and made various improvements in the printing press. He was also involved
in type design which resulted in a latin typeface which was used for the
edition of Virgil, in 1757. The quality of the type was admired throughout of
Europe and America and was revived with great success in the early 20th century.

Baskerville was also involved in the design of a Greek typeface which he used
in an edition of the New Testament for Oxford University, in 1763. He adopted
the practice of avoiding the excessive number of ligatures which Alexander
Wilson had started a few years earlier but his Greek types were rather narrow
in proportion and did not win the sympathy of the philologists and other
scholars of his time. They did influence, however, the Greek types of
Giambattista Bodoni. and through him Didot's Greek in Paris.

The typeface has been digitally revived as GFS Baskerville Classic by Sophia
Kalaitzidou and George D. Matthiopoulos and is now available as part of GFS'
type library.
Comment 1 Parag AN(पराग) 2007-11-26 12:07:40 EST
gfs-baskerville-fonts.noarch: I: checking
gfs-baskerville-fonts.noarch: E: description-line-too-long Europe and America
and was revived with great success in the early 20th century.
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.

gfs-baskerville-fonts.noarch: W: no-version-in-last-changelog
The last changelog entry doesn't contain a version. Please insert the
version that is coherent with the version of the package and rebuild it.
Comment 2 Nicolas Mailhot 2007-11-26 13:44:09 EST
Updated version posted at the usual place to fix the description-line-too-long
warning
Comment 3 Parag AN(पराग) 2007-11-26 22:03:15 EST
I agree it was big work for you to ask to fix small issue but still I prefer to
follow what rpmlint says till rpmlint tool gives it as Error and not Warning.
Comment 4 Parag AN(पराग) 2007-11-26 22:23:17 EST
Packaging looks ok.
APPROVED.
Comment 5 Nicolas Mailhot 2007-11-27 02:05:51 EST
rpmlint is wrong and does no know how to count UTF-8 properly. I actually
cheched the line it tags manually - it's less than 79 columns in UTF-8, which is
our default encoding.

New Package CVS Request
=======================
Package Name: gfs-baskerville-fonts
Short Description: GFS Baskerville Greek font
Owners: nicolas.mailhot@laposte.net
Branches: F-7, F-8, devel
InitialCC: fedora-fonts-bugs-list@redhat.com
Cvsextras Commits: Yes

Comment 6 Kevin Fenzi 2007-11-27 15:07:17 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.